Subject: Bug#315: host and user fields in settings widget must be trimmed

From: Ricardo Díaz Martín <[email-masked]>
Date: Thu, 3 Oct 2013 08:43:47 +0200

Package: x2goclient
Version: 4.1.0
Tag: patch

Hi,

I got a related issue this week supporting a user. I gave him the new ip
for remote x2go host and he did a copy/paste from Skype to host field in
x2goclient. He did a mistake adding blank space after host ip. So when he
tried to connect ssh host key verification began a infinite loop asking for
accept new ssh key for the ip+blank space.

It was very difficult to debug. The tip was doing cat to know_host file you
could see [xxx.xxx.xxx.xxx ] <- extra blank space after last ip group.